
U++ - Feature #1353

Tag syntax could support indentations

12/10/2015 10:18 PM - Zbigniew Rebacz

Status: Patch ready Start date: 12/10/2015

Priority: Normal Due date:

Assignee: Miroslav Fidler % Done: 0%

Category: CodeEditor Estimated time: 0.00 hour

Target version: Spent time: 0.00 hour

Description

Example:

<html>

____<body>

________<p></p>

____<body> <!-- Probably here user need to reverse identation - or detect this situation and remove indent from begining -->

</html>

__ - 4 _ means one identation

History

#1 - 12/24/2015 06:23 PM - Zbigniew Rebacz

- File TagSyntaxIdentation.diff added

#2 - 01/26/2016 08:19 PM - Zbigniew Rebacz

- File TagSyntaxIdentation.diff added

#3 - 01/28/2016 01:54 PM - Miroslav Fidler

- Target version changed from Release 2017.1 to Release 2017.1 - NTH

#4 - 02/07/2016 06:01 PM - Zbigniew Rebacz

- File deleted (TagSyntaxIdentation.diff)

#5 - 02/07/2016 06:02 PM - Zbigniew Rebacz

- File CodeEditorTagIdentation.diff added

#6 - 02/20/2016 11:42 PM - Zbigniew Rebacz

- File CodeEditorTagIdent.diff added

- Status changed from New to Patch ready

- Assignee set to Miroslav Fidler

Production version added.

Not everything is working, but the main core is implemented. Moreover the class IdentRecognizer is added to not duplicate code.

#7 - 02/20/2016 11:44 PM - Zbigniew Rebacz

- File deleted (CodeEditorTagIdent.diff)
#8 - 02/20/2016 11:44 PM - Zbigniew Rebacz

- File deleted (TagSyntaxIdentation.diff)

#9 - 02/20/2016 11:44 PM - Zbigniew Rebacz

- File CodeEditorTagIdent.diff added

#10 - 02/21/2016 08:53 PM - Zbigniew Rebacz

There is a typo in this implementation:

- It should be Indent instead of Ident? - What do you think in CodeEditor code we have functions like GetLineIdent?

#11 - 05/03/2016 07:39 PM - Zbigniew Rebacz

- Target version changed from Release 2017.1 - NTH to Release 2017.1

#12 - 01/23/2017 10:12 PM - Zbigniew Rebacz

- Target version deleted (Release 2017.1)

Files

CodeEditorTagIdentation.diff 11.6 KB 02/07/2016 Zbigniew Rebacz

CodeEditorTagIdent.diff 15.3 KB 02/20/2016 Zbigniew Rebacz
